Hi,

In message "[ruby-talk:17098] Re: (cvs?) configure / make problems"
    on 01/06/30, Kero van Gelder <kero / d4050.upc-d.chello.nl> writes:

|> You can apply --with-dbm-type=db1 to configure or ext/dbm/extconf.rb.
|
|Nope. Like I said, DBM_HDR is not accepted in dbm.c
|
|I can submit a patch for that (four lines of C code), should I mail
|patches to ruby-dev instead?

Which version are you trying to compile?  1.6.4 does not have DBM_HDR
stuff, and the latest 1.7.1 using DBM_HDR in dbm.c

|Would be nice to autodetect header files when you can already
|autodetect the libraries, still.

For Tcl/Tk, we have too much variety of pathes.

|Note: `./configure --help` does not tell about those options! 

They are fallbacks to each ext/*/extconf.rb, so that they cannot be
appear in './configure --help', sorry.

							matz.